searchNodes=[{"doc":"Docs for Envar; Environment Variable checker/getter. Variable names are logged to improve developer experience. The values of Environment Variables should never be logged here. If an App needs to debug a variable, it can log it locally.","ref":"Envar.html","title":"Envar","type":"module"},{"doc":"get/1 gets an environment variable by name e.g: Envar.get(&quot;DATABASE_URL&quot;) Either returns the String value of the environment variable, or nil if the value is not set. When the environment variable is not defined, this will be logged for debugging purposes.Examplesiex&gt; System.put_env(&quot;HELLO&quot;, &quot;world&quot;) iex&gt; Envar.get(&quot;HELLO&quot;) &quot;world&quot;","ref":"Envar.html#get/1","title":"Envar.get/1","type":"function"},{"doc":"is_set/1 binary check that an environment variable is defined by name e.g: Envar.is_set?(&quot;HEROKU&quot;) will return false if the HEROKU environment variable is not set. When a particular variable is set, it will return true.Examplesiex&gt; Envar.is_set?(&quot;HEROKU&quot;) false iex&gt; System.put_env(&quot;HELLO&quot;, &quot;world&quot;) iex&gt; Envar.is_set?(&quot;HELLO&quot;) true","ref":"Envar.html#is_set?/1","title":"Envar.is_set?/1","type":"function"},{"doc":"is_set_all/1 binary check that ALL environment variable in a List are defined. e.g: Envar.is_set_all?(~w/HEROKU FLYIO/) will return false if both the HEROKU and FLYIO environment variables are not set. When all of the environment variables in the list are set, it will return true. It's the equivalent of writing: Envar.is_set?(&quot;HEROKU&quot;) &amp;&amp; Envar.is_set?(&quot;FLYIO&quot;).Examplesiex&gt; Envar.is_set_all?([&quot;HEROKU&quot;, &quot;AWS&quot;]) false iex&gt; Envar.set(&quot;HELLO&quot;, &quot;world&quot;) iex&gt; Envar.set(&quot;GOODBYE&quot;, &quot;au revoir&quot;) iex&gt; Envar.is_set_all?([&quot;HELLO&quot;, &quot;GOODBYE&quot;]) true","ref":"Envar.html#is_set_all?/1","title":"Envar.is_set_all?/1","type":"function"},{"doc":"is_set_any/1 binary check that any environment variable in a List is defined. e.g: Envar.is_set_any?([&quot;HEROKU&quot;, &quot;FLYIO&quot;]) will return false if both the HEROKU and FLYIO environment variables are not set. When any of the environment variables in the list are set, it will return true. It's the equivalent of writing: Envar.is_set?(&quot;HEROKU&quot;) || Envar.is_set?(&quot;FLYIO&quot;).Examplesiex&gt; Envar.is_set_any?([&quot;HEROKU&quot;, &quot;AWS&quot;]) false iex&gt; System.put_env(&quot;HELLO&quot;, &quot;world&quot;) iex&gt; Envar.is_set_any?([&quot;HELLO&quot;, &quot;GOODBYE&quot;]) true","ref":"Envar.html#is_set_any?/1","title":"Envar.is_set_any?/1","type":"function"},{"doc":"load/1 load a file containing a line-separated list of environment variables e.g: .env Set the value of each environment variable.Examplesiex&gt; Envar.load(&quot;.env&quot;) :ok","ref":"Envar.html#load/1","title":"Envar.load/1","type":"function"},{"doc":"set/2 set the value of an environment variable varname. Accepts two String parameters: varname and value.Examplesiex&gt; Envar.set(&quot;API_KEY&quot;, &quot;YourSuperLongAPIKey&quot;) :ok","ref":"Envar.html#set/2","title":"Envar.set/2","type":"function"}]